Skip to main content

Get user by name

Retrieve a user by their unique name.

Path Parameters
name string — REQUIRED

Unique name of the user.

Example: john.doe

Responses
200

The user with the specified name.

Schema — OPTIONAL
id string
name string — OPTIONAL
email string — OPTIONAL
type string — OPTIONAL

Possible values: [app, user, team, report]

role string — OPTIONAL

Possible values: [admin, user, observer, service]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
404

User with the specified name not found.